| PUT | /RestApi/comments-api/comments/list |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | body | List<string> | No | |
| Status | body | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| TotalCount | form | int | No | |
| Items | form | IEnumerable<CommentResponse> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Name | form | string | No | |
| Message | form | string | No | |
| DateCreated | form | DateTime | No | |
| ProfilePictureUrl | form | string | No | |
| ProfilePictureThumbnailUrl | form | string | No | |
| Status | form | string | No | |
| form | string | No | ||
| ThreadKey | form | string | No | |
| AuthorIpAddress | form | string | No | |
| CustomData | form | string | No | |
| Rating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/comments/list HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"Key":["String"],"Status":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"TotalCount":0}